## povray 3.7.0.10

=== libraries/png/CMakeLists.txt ===
# CMakeLists.txt

# Copyright (C) 2007-2011 Glenn Randers-Pehrson

# This code is released under the libpng license.
# For conditions of distribution and use, see the disclaimer
# and license in png.h

cmake_minimum_required(VERSION 2.4.4)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

if(UNIX AND NOT DEFINED CMAKE_BUILD_TYPE)
  if(CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
    # workaround CMake 2.4.x bug
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
        "Choose the type of build, options are:
           None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
           Debug
           Release
           RelWithDebInfo
           MinSizeRel.")
  else()
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
        "Choose the type of build, options are:
           None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
           Debug
           Release
           RelWithDebInfo
           MinSizeRel.")
  endif()
endif()

project(libpng C)
enable_testing()

set(PNGLIB_MAJOR 1)
set(PNGLIB_MINOR 5)
set(PNGLIB_RELEASE 14)
set(PNGLIB_NAME libpng${PNGLIB_MAJOR}${PNGLIB_MINOR})
set(PNGLIB_VERSION ${PNGLIB_MAJOR}.${PNGLIB_MINOR}.${PNGLIB_RELEASE})

# needed packages
find_package(ZLIB REQUIRED)
include_directories(${ZLIB_INCLUDE_DIR})

if(NOT WIN32)
  find_library(M_LIBRARY
    NAMES m
    PATHS /usr/lib /usr/local/lib
  )
  if(NOT M_LIBRARY)
    message(STATUS
      "math library 'libm' not found - floating point support disabled")
  endif()
else()
  # not needed on windows
  set(M_LIBRARY "")
endif()

# COMMAND LINE OPTIONS
if(DEFINED PNG_SHARED)
  option(PNG_SHARED "Build shared lib" ${PNG_SHARED})
else()
  option(PNG_SHARED "Build shared lib" ON)
endif()
if(DEFINED PNG_STATIC)
  option(PNG_STATIC "Build static lib" ${PNG_STATIC})
else()
  option(PNG_STATIC "Build static lib" ON)
endif()

option(PNG_TESTS  "Build libpng tests" YES)

# Many more configuration options could be added here
option(PNG_DEBUG         "Build with debug output" NO)
option(PNGARG            "Disable ANSI-C prototypes" NO)

# SET LIBNAME
set(PNG_LIB_NAME png${PNGLIB_MAJOR}${PNGLIB_MINOR})

# to distinguish between debug and release lib
set(CMAKE_DEBUG_POSTFIX "d")

# Use the prebuilt pnglibconf.h file from the scripts folder
# TODO: fix this by building with awk; without this no cmake build can be
# configured directly (to do so indirectly use your local awk to build a
# pnglibconf.h in the build directory.)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/scripts/pnglibconf.h.prebuilt
               ${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# OUR SOURCES
set(libpng_public_hdrs
  png.h
  pngconf.h
  ${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.h
)
set(libpng_sources
  ${libpng_public_hdrs}
  pngdebug.h
  pnginfo.h
  pngpriv.h
  pngstruct.h
  png.c
  pngerror.c
  pngget.c
  pngmem.c
  pngpread.c
  pngread.c
  pngrio.c
  pngrtran.c
  pngrutil.c
  pngset.c
  pngtrans.c
  pngwio.c
  pngwrite.c
  pngwtran.c
  pngwutil.c
)
set(pngtest_sources
  pngtest.c
)
set(pngvalid_sources
  contrib/libtests/pngvalid.c
)
# SOME NEEDED DEFINITIONS

add_definitions(-DPNG_CONFIGURE_LIBPNG)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
endif(MSVC)

if(PNG_DEBUG)
  add_definitions(-DPNG_DEBUG)
endif()

# NOW BUILD OUR TARGET
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${ZLIB_INCLUDE_DIR})

if(PNG_SHARED)
  add_library(${PNG_LIB_NAME} SHARED ${libpng_sources})
  if(MSVC)
    # msvc does not append 'lib' - do it here to have consistent name
    set_target_properties(${PNG_LIB_NAME} PROPERTIES PREFIX "lib")
    set_target_properties(${PNG_LIB_NAME} PROPERTIES IMPORT_PREFIX "lib")
  endif()
  target_link_libraries(${PNG_LIB_NAME} ${ZLIB_LIBRARY} ${M_LIBRARY})
endif()

if(PNG_STATIC)
# does not work without changing name
  set(PNG_LIB_NAME_STATIC ${PNG_LIB_NAME}_static)
  add_library(${PNG_LIB_NAME_STATIC} STATIC ${libpng_sources})
  if(MSVC)
    # msvc does not append 'lib' - do it here to have consistent name
    set_target_properties(${PNG_LIB_NAME_STATIC} PROPERTIES PREFIX "lib")
  endif()
  target_link_libraries(${PNG_LIB_NAME_STATIC} ${ZLIB_LIBRARY} ${M_LIBRARY})
endif()

if(PNG_SHARED AND WIN32)
  set_target_properties(${PNG_LIB_NAME} PROPERTIES DEFINE_SYMBOL PNG_BUILD_DLL)
endif()

if(PNG_TESTS AND PNG_SHARED)
  # does not work with msvc due to png_lib_ver issue
  add_executable(pngtest ${pngtest_sources})
  target_link_libraries(pngtest ${PNG_LIB_NAME})
  add_test(pngtest ./pngtest ${CMAKE_CURRENT_SOURCE_DIR}/pngtest.png)
  #
  add_executable(pngvalid ${pngvalid_sources})
  target_link_libraries(pngvalid ${PNG_LIB_NAME})
  add_test(pngvalid ./pngvalid)
endif()

# Ensure the CMAKE_LIBRARY_OUTPUT_DIRECTORY is set
IF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
  SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY "lib")
ENDIF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)

# Set a variable with CMake code which:
# Creates a symlink from src to dest (if possible) or alternatively
# copies if different.
macro(CREATE_SYMLINK SRC_FILE DEST_FILE)
  FILE(REMOVE ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE})
  if(WIN32 AND NOT CYGWIN AND NOT MSYS)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE}   ${CMAKE_CURRENT_BINARY_DIR}/${DEST_FILE}
        COMMAND ${CMAKE_COMMAND} -E copy        ${CMAKE_CURRENT_BINARY_DIR}/${SRC_FILE} ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE}
        COMMAND ${CMAKE_COMMAND} -E copy        ${CMAKE_CURRENT_BINARY_DIR}/${SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${DEST_FILE}
        DEPENDS ${PNG_LIB_NAME} ${PNG_LIB_NAME_STATIC}
        )
    ADD_CUSTOM_TARGET(${DEST_FILE}_COPY ALL DEPENDS ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE})
  else(WIN32 AND NOT CYGWIN AND NOT MSYS)
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${SRC_FILE} ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${SRC_FILE} ${DEST_FILE} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  endif(WIN32 AND NOT CYGWIN AND NOT MSYS)
endmacro()

# libpng is a library so default to 'lib'
if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
  set(CMAKE_INSTALL_LIBDIR lib)
endif(NOT DEFINED CMAKE_INSTALL_LIBDIR)

# CREATE PKGCONFIG FILES
# we use the same files like ./configure, so we have to set its vars
# Only do this on Windows for Cygwin - the files don't make much sense outside
# a UNIX look alike
if(NOT WIN32 OR CYGWIN OR MINGW) 
  set(prefix      ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix ${CMAKE_INSTALL_PREFIX})
  set(libdir      ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
  set(includedir  ${CMAKE_INSTALL_PREFIX}/include)
  set(LIBS        "-lz -lm")
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libpng.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}.pc @ONLY)
  CREATE_SYMLINK(${PNGLIB_NAME}.pc libpng.pc)

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libpng-config.in
    ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}-config @ONLY)
  CREATE_SYMLINK(${PNGLIB_NAME}-config libpng-config)
endif(NOT WIN32 OR CYGWIN OR MINGW)

# SET UP LINKS
if(PNG_SHARED)
  set_target_properties(${PNG_LIB_NAME} PROPERTIES
#   VERSION 15.${PNGLIB_RELEASE}.1.5.14
    VERSION 15.${PNGLIB_RELEASE}.0
    SOVERSION 15
    CLEAN_DIRECT_OUTPUT 1)
endif()
if(PNG_STATIC)
  # MSVC doesn't use a different file extension for shared vs. static
  # libs.  We are able to change OUTPUT_NAME to remove the _static
  # for all other platforms.
  if(NOT MSVC)
    set_target_properties(${PNG_LIB_NAME_STATIC} PROPERTIES
      OUTPUT_NAME ${PNG_LIB_NAME}
      CLEAN_DIRECT_OUTPUT 1)
  endif()
endif()

# If CMake > 2.4.x, we set a variable used below to export
# targets to an export file.
# TODO: Use VERSION_GREATER after our cmake_minimum_required >= 2.6.2
if(CMAKE_MAJOR_VERSION GREATER 1 AND CMAKE_MINOR_VERSION GREATER 4)
  set(PNG_EXPORT_RULE EXPORT libpng)
elseif(CMAKE_MAJOR_VERSION GREATER 2) # future proof
  set(PNG_EXPORT_RULE EXPORT libpng)
endif()

# INSTALL
if(NOT SKIP_INSTALL_LIBRARIES AND NOT SKIP_INSTALL_ALL )
  if(PNG_SHARED)
    install(TARGETS ${PNG_LIB_NAME}
        ${PNG_EXPORT_RULE}
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

    # Create a symlink for libpng.dll.a => libpng15.dll.a on Cygwin
    if(CYGWIN OR MINGW)
       get_target_property(BUILD_TARGET_LOCATION ${PNG_LIB_NAME} LOCATION_${CMAKE_BUILD_TYPE})
       get_filename_component(BUILD_TARGET_FILE ${BUILD_TARGET_LOCATION} NAME)
       CREATE_SYMLINK(${BUILD_TARGET_FILE} libpng${CMAKE_IMPORT_LIBRARY_SUFFIX})
       install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libpng${CMAKE_IMPORT_LIBRARY_SUFFIX}
         DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif(CYGWIN OR MINGW)

    if(NOT WIN32)
      get_target_property(BUILD_TARGET_LOCATION ${PNG_LIB_NAME} LOCATION_${CMAKE_BUILD_TYPE})
      get_filename_component(BUILD_TARGET_FILE ${BUILD_TARGET_LOCATION} NAME)
      CREATE_SYMLINK(${BUILD_TARGET_FILE} libpng${CMAKE_SHARED_LIBRARY_SUFFIX})
      install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libpng${CMAKE_SHARED_LIBRARY_SUFFIX}
         DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif(NOT WIN32)
  endif(PNG_SHARED)

  if(PNG_STATIC)
    install(TARGETS ${PNG_LIB_NAME_STATIC}
        ${PNG_EXPORT_RULE}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
    if(NOT WIN32 OR CYGWIN OR MINGW)
      get_target_property(BUILD_TARGET_LOCATION ${PNG_LIB_NAME_STATIC} LOCATION_${CMAKE_BUILD_TYPE})
      get_filename_component(BUILD_TARGET_FILE ${BUILD_TARGET_LOCATION} NAME)
      CREATE_SYMLINK(${BUILD_TARGET_FILE} libpng${CMAKE_STATIC_LIBRARY_SUFFIX})
      install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libpng${CMAKE_STATIC_LIBRARY_SUFFIX}
         DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif(NOT WIN32 OR CYGWIN OR MINGW)
 endif()
endif()

if(NOT SKIP_INSTALL_HEADERS AND NOT SKIP_INSTALL_ALL )
  install(FILES ${libpng_public_hdrs}   DESTINATION include)
  install(FILES ${libpng_public_hdrs}   DESTINATION include/${PNGLIB_NAME})
endif()
if(NOT SKIP_INSTALL_EXECUTABLES AND NOT SKIP_INSTALL_ALL )
  if(NOT WIN32 OR CYGWIN OR MINGW)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/libpng-config DESTINATION bin)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}-config
            DESTINATION bin)
  endif(NOT WIN32 OR CYGWIN OR MINGW)
endif()

if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
  # Install man pages
  if(NOT PNG_MAN_DIR)
    set(PNG_MAN_DIR "share/man")
  endif()
  install(FILES libpng.3 libpngpf.3      DESTINATION ${PNG_MAN_DIR}/man3)
  install(FILES png.5                    DESTINATION ${PNG_MAN_DIR}/man5)
  # Install pkg-config files
  if(NOT WIN32 OR CYGWIN OR MINGW)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libpng.pc
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/libpng-config
            DESTINATION bin)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}.pc
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}-config
            DESTINATION bin)
  endif(NOT WIN32 OR CYGWIN OR MINGW)
endif()

# On versions of CMake that support it, create an export file CMake
# users can include() to import our targets
if(PNG_EXPORT_RULE AND NOT SKIP_INSTALL_EXPORT AND NOT SKIP_INSTALL_ALL )
  install(EXPORT libpng DESTINATION lib/libpng FILE lib${PNG_LIB_NAME}.cmake)
endif()

# what's with libpng-$VER%.txt and all the extra files?

# UNINSTALL
# do we need this?

# DIST
# do we need this?

# to create msvc import lib for mingw compiled shared lib
# pexports libpng.dll > libpng.def
# lib /def:libpng.def /machine:x86

=== libraries/tiff/SConstruct ===
# $Id: SConstruct,v 1.2 2006/03/23 14:54:00 dron Exp $

# Tag Image File Format (TIFF) Software
#
# Copyright (C) 2005, Andrey Kiselev <dron@ak4719.spb.edu>
#
# Permission to use, copy, modify, distribute, and sell this software and 
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
# 
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
# 
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
# OF THIS SOFTWARE.

# This file contains rules to build software with the SCons tool
# (see the http://www.scons.org/ for details on SCons).

import os

env = Environment()

# Read the user supplied options
opts = Options('libtiff.conf')
opts.Add(PathOption('PREFIX', \
    'install architecture-independent files in this directory', \
    '/usr/local', PathOption.PathIsDirCreate))
opts.Add(BoolOption('ccitt', \
    'enable support for CCITT Group 3 & 4 algorithms', \
    'yes'))
opts.Add(BoolOption('packbits', \
    'enable support for Macintosh PackBits algorithm', \
    'yes'))
opts.Add(BoolOption('lzw', \
    'enable support for LZW algorithm', \
    'yes'))
opts.Add(BoolOption('thunder', \
    'enable support for ThunderScan 4-bit RLE algorithm', \
    'yes'))
opts.Add(BoolOption('next', \
    'enable support for NeXT 2-bit RLE algorithm', \
    'yes'))
opts.Add(BoolOption('logluv', \
    'enable support for LogLuv high dynamic range encoding', \
    'yes'))
opts.Add(BoolOption('strip_chopping', \
    'support for strip chopping (whether or not to convert single-strip uncompressed images to mutiple strips of ~8Kb to reduce memory usage)', \
    'yes'))
opts.Add(BoolOption('extrasample_as_alpha', \
    'the RGBA interface will treat a fourth sample with no EXTRASAMPLE_ value as being ASSOCALPHA. Many packages produce RGBA files but don\'t mark the alpha properly', \
    'yes'))
opts.Add(BoolOption('check_ycbcr_subsampling', \
    'disable picking up YCbCr subsampling info from the JPEG data stream to support files lacking the tag', \
    'yes'))
opts.Update(env)
opts.Save('libtiff.conf', env)
Help(opts.GenerateHelpText(env))

# Here are our installation paths:
idir_prefix = '$PREFIX'
idir_lib = '$PREFIX/lib'
idir_bin = '$PREFIX/bin'
idir_inc = '$PREFIX/include'
idir_doc = '$PREFIX/doc'
Export([ 'env', 'idir_prefix', 'idir_lib', 'idir_bin', 'idir_inc', 'idir_doc' ])

# Now proceed to system feature checks
target_cpu, target_vendor, target_kernel, target_os = \
    os.popen("./config.guess").readlines()[0].split("-")

def Define(context, key, have):
    import SCons.Conftest
    SCons.Conftest._Have(context, key, have)

def CheckCustomOption(context, name):
    context.Message('Checking is the ' + name + ' option set... ')
    ret = env[name]
    Define(context, name + '_SUPPORT', ret)
    context.Result(ret)
    return ret

def CheckFillorderOption(context):
    context.Message('Checking for the native cpu bit order... ')
    if target_cpu[0] == 'i' and target_cpu[2:] == '86':
	Define(context, 'HOST_FILLORDER', 'FILLORDER_LSB2MSB')
	context.Result('lsb2msb')
    else:
	Define(context, 'HOST_FILLORDER', 'FILLORDER_MSB2LSB')
	context.Result('msb2lsb')
    return 1

def CheckIEEEFPOption(context):
    context.Message('Checking for the IEEE floating point format... ')
    Define(context, 'HAVE_IEEEFP', 1)
    context.Result(1)
    return 1

def CheckOtherOption(context, name):
    context.Message('Checking is the ' + name + ' option set... ')
    ret = env[name]
    Define(context, 'HAVE_' + name, ret)
    context.Result(ret)
    return ret

custom_tests = { \
    'CheckCustomOption' : CheckCustomOption, \
    'CheckFillorderOption' : CheckFillorderOption, \
    'CheckIEEEFPOption' : CheckIEEEFPOption, \
    'CheckOtherOption' : CheckOtherOption \
    }
conf = Configure(env, custom_tests = custom_tests, \
    config_h = 'libtiff/tif_config.h')

# Check for standard library
conf.CheckLib('c')
if target_os != 'cygwin' \
    and target_os != 'mingw32' \
    and target_os != 'beos' \
    and target_os != 'darwin':
    conf.CheckLib('m')

# Check for system headers
conf.CheckCHeader('assert.h')
conf.CheckCHeader('fcntl.h')
conf.CheckCHeader('limits.h')
conf.CheckCHeader('malloc.h')
conf.CheckCHeader('search.h')
conf.CheckCHeader('sys/time.h')
conf.CheckCHeader('unistd.h')

# Check for standard library functions
conf.CheckFunc('floor')
conf.CheckFunc('isascii')
conf.CheckFunc('memmove')
conf.CheckFunc('memset')
conf.CheckFunc('mmap')
conf.CheckFunc('pow')
conf.CheckFunc('sqrt')
conf.CheckFunc('strchr')
conf.CheckFunc('strrchr')
conf.CheckFunc('strstr')
conf.CheckFunc('strtol')

conf.CheckFillorderOption()
conf.CheckIEEEFPOption()
conf.CheckCustomOption('ccitt')
conf.CheckCustomOption('packbits')
conf.CheckCustomOption('lzw')
conf.CheckCustomOption('thunder')
conf.CheckCustomOption('next')
conf.CheckCustomOption('logluv')
conf.CheckOtherOption('strip_chopping')
conf.CheckOtherOption('extrasample_as_alpha')
conf.CheckOtherOption('check_ycbcr_subsampling')

env = conf.Finish()

# Ok, now go to build files in the subdirectories
SConscript(dirs = [ 'libtiff' ], name = 'SConstruct')

=== debian/changelog ===
povray (1:3.7.0.10-3build6) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:06:13 +0200

povray (1:3.7.0.10-3build5) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:55:51 +0200

povray (1:3.7.0.10-3build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:38 +1100

povray (1:3.7.0.10-3build3) noble; urgency=medium

  * No-change rebuild against libimath-3-1-29t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 16:11:56 +0000

povray (1:3.7.0.10-3build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:52:07 +0000

povray (1:3.7.0.10-3build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:55:00 +0100

povray (1:3.7.0.10-3) unstable; urgency=medium

  * Cleanup the generated unix/config.h.in.  (Closes: #1045737)
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Aug 2023 11:10:02 +0200

povray (1:3.7.0.10-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Convert comments to UTF-8.
  * Make build reproducible by sorting source file lists and omitting
    -ffile-prefix-map=... from compiled-in CXXFLAGS.
  * Restrict watch file to releases from the 3.7 branch.
  * Update Lintian overrides.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Remove 3 maintscript entries from 2 files.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Apr 2022 17:43:12 +0200

povray (1:3.7.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Sep 2021 18:40:54 +0200

=== debian/control ===
Source: povray
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 autoconf-archive,
 libpng-dev,
 zlib1g-dev,
 libx11-dev,
 libxt-dev,
 libice-dev,
 libjpeg-dev,
 libtiff-dev,
 pkg-config,
 libboost-thread-dev,
 libopenexr-dev,
 libsdl1.2-dev,
 libxpm-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://www.povray.org
Vcs-Browser: https://salsa.debian.org/debian/povray
Vcs-Git: https://salsa.debian.org/debian/povray.git

Package: povray
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: povray-includes
Suggests: povray-doc, povray-examples
Replaces: povray-3.6, povray-3.5
Conflicts: povray-3.6, povray-3.5
Description: Persistence of vision raytracer (3D renderer)
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 povray-includes is highly recommended in addition to this package.

Package: povray-includes
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: povray, fonts-povray, ${misc:Depends}
Description: Persistence of vision raytracer (3D renderer) include files
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 This package contains architecture independent include files.

Package: fonts-povray
Section: fonts
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: Persistence of vision raytracer (3D renderer) fonts
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 This package contains the fonts coming with povray.

Package: povray-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: povray
Description: Persistence of vision raytracer (3D renderer) documentation
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 This package contains the full POV-Ray manual.

Package: povray-examples
Architecture: all
Depends: povray-includes, ${misc:Depends}
Suggests: povray
Description: Persistence of vision raytracer (3D renderer) sample files
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 This package contains sample files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O3
	
	# This is rumoured to give wrong results with zero-thickness boxes, so
	# disabled
	# CXXFLAGS += -ffast-math
		
	ifeq ($(DEB_HOST_ARCH),i386)
		 CXXFLAGS += -minline-all-stringops -malign-double
	endif
endif


%:
	dh $@

override_dh_auto_configure:
	set -e ; cd unix/config && for ax in *.m4 ; do if [ ! -h "$$ax" ] && [ -f "/usr/share/aclocal/$$ax" ]; then mv -v "$$ax" "$$ax.dist" ; ln -sv "/usr/share/aclocal/$$ax" ; fi ; done
	if [ -d libraries ] && [ ! -d libraries.donotuse ] ; then mv -v libraries libraries.donotuse ; fi
	cd unix && ./prebuild.sh
	dh_auto_configure -- \
		--disable-optimiz \
		--disable-strip \
		--with-boost-thread=boost_thread \
		COMPILED_BY="$(shell dpkg-parsechangelog | sed -n '/^Maintainer/{s/Maintainer: //;s/@debian.org/ at debian dot org/;p}') for Debian <www.debian.org>" \
		CXXFLAGS="$(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)"
	sed -i '/CXXFLAGS/s/ -ffile-prefix-map=[^ ]* / /' unix/config.h

execute_after_dh_auto_clean:
	-cd unix && ./prebuild.sh clean
	$(RM) install.log
	$(RM) unix/config/compile
	$(RM) unix/config.h.in
	if [ -d libraries.donotuse ] && [ ! -d libraries ] ; then mv -v libraries.donotuse libraries ; fi
	-test ! -d .git || git checkout libraries
	set -e ; cd unix/config && for ax in *.m4.dist ; do if [ -f "$$ax" ] ; then mv -v "$$ax" "$${ax%.dist}" ; fi ; done

override_dh_installchangelogs:
	dh_installchangelogs changes.txt

override_dh_compress:
	dh_compress -X usr/share/doc/povray/examples

## povray 3.8.0~beta.2

=== tools/meta-make/Makefile ===
#*************************************************************************************
# Location of Stuff

# Location of everything
rootdir         = ../..

# Location of generated source files
fontsrc         = $(rootdir)/source/base/font
scenesrc        = $(rootdir)/source/backend/control
bluenoisesrc    = $(rootdir)/source/base/data

# Location of input files
include         = $(rootdir)/distribution/include
scenes          = $(rootdir)/distribution/scenes

# Location of tools
metamake        = $(rootdir)/tools/meta-make
reswrap_header  = $(metamake)/reswrap-header.cpp
reswrap_sh      = $(metamake)/reswrap.sh
metagen_header  = $(metamake)/metagen-header.cpp
metagen_sh      = $(metamake)/metagen.sh

#*************************************************************************************
# What to Generate

FONTS           = crystal cyrvetic povlogo timrom
BENCHMARK       = benchmark_pov benchmark_ini
BLUENOISE       = bluenoise64a

#-------------------------------------------------------------------------------------
# Generation Parameters

# File              Identifier     Seed Size [Slices]
bluenoise64a_opts = kBlueNoise64a  4711 64

#-------------------------------------------------------------------------------------
# Files to Generate

FONTFILES      = $(foreach font,$(FONTS),$(addprefix $(fontsrc)/$(font),.cpp .h))
BENCHMARKFILES = $(foreach scene,$(BENCHMARK),$(addprefix $(scenesrc)/$(scene),.cpp .h))
BLUENOISEFILES = $(foreach noise,$(BLUENOISE),$(addprefix $(bluenoisesrc)/$(noise),.cpp .h))

ALLFILES       = $(FONTFILES) $(BENCHMARKFILES) $(BLUENOISEFILES)

#*************************************************************************************
# Rules

.PHONY: all
all: $(ALLFILES)

.PHONY: clean
clean: 
	-rm $(ALLFILES)

#-------------------------------------------------------------------------------------
# Fonts

vpath %.ttf $(include)

$(fontsrc)/%.cpp: %.ttf $(reswrap_header)
	$(reswrap_sh) "$@" "$<" "pov_base" "font_$(*F)" "-z"

$(fontsrc)/%.h: %.ttf $(reswrap_header)
	$(reswrap_sh) "$@" "$<" "pov_base" "font_$(*F)" "-z"

#-------------------------------------------------------------------------------------
# Scenes

vpath %.ini $(scenes)
vpath %.pov $(scenes)

$(scenesrc)/benchmark_ini.%: advanced/benchmark/benchmark.ini $(reswrap_header)
	$(reswrap_sh) "$@" "$<" "pov" "Benchmark_Options" "-m -ta -c 120"

$(scenesrc)/benchmark_pov.%: advanced/benchmark/benchmark.pov $(reswrap_header)
	$(reswrap_sh) "$@" "$<" "pov" "Benchmark_File" "-m -ta -c 120"

#-------------------------------------------------------------------------------------
# Blue Noise Patterns

$(BLUENOISEFILES): GENOPTS = $($(basename $(@F))_opts)
$(BLUENOISEFILES): NAME    = $(word 1, $(GENOPTS))
$(BLUENOISEFILES): SEED    = $(word 2, $(GENOPTS))
$(BLUENOISEFILES): SIZE    = $(word 3, $(GENOPTS))
$(BLUENOISEFILES): SLICES  = $(word 4, $(GENOPTS))

define metagen_bluenoise =
$(metagen_sh) "$@" "Blue noise pattern data" "python $(metamake)/bluenoise/metagen-bluenoise.py"
endef

$(BLUENOISEFILES): %: $(metagen_header)
	$(metagen_bluenoise) "-l -npov_base -r$(SEED) $(NAME) $(SIZE) $(SIZE) $(SLICES)" "-h"

#*************************************************************************************
# End of File

=== unix/icons/source/Makefile ===
### Makefile --- 
#   Makefile for POV-Ray v3.6 for UNIX icons

## Author: chris_hormann@gmx.de
## Version: $Id: Makefile,v 0.0 2004/05/12 16:21:28 chris Exp $
## Keywords: 
## X-URL: 

default: all

all: file_logos

# --------- logos ---------

pov_logos:
	povray -iicon.pov -p -w16 -h16 +a0.0 -j +r8 +ua DECLARE=Image=2 -ofile_pov_16.png
	povray -iicon.pov -p -w32 -h32 +a0.0 -j +r6 +ua DECLARE=Image=2 -ofile_pov_32.png
	povray -iicon.pov -p -w48 -h48 +a0.0 -j +r4 +ua DECLARE=Image=2 -ofile_pov_48.png
	povray -iicon.pov -p -w64 -h64 +a0.0 -j +r4 +ua DECLARE=Image=2 -ofile_pov_64.png
	povray -iicon.pov -p -w16 -h16 +a0.0 -j +r8 +ua DECLARE=Image=3 -ofile_inc_16.png
	povray -iicon.pov -p -w32 -h32 +a0.0 -j +r6 +ua DECLARE=Image=3 -ofile_inc_32.png
	povray -iicon.pov -p -w48 -h48 +a0.0 -j +r4 +ua DECLARE=Image=3 -ofile_inc_48.png
	povray -iicon.pov -p -w64 -h64 +a0.0 -j +r4 +ua DECLARE=Image=3 -ofile_inc_64.png
	povray -iicon.pov -p -w16 -h16 +a0.0 -j +r8 +ua DECLARE=Image=5 -oshadow_16.png
	povray -iicon.pov -p -w32 -h32 +a0.0 -j +r6 +ua DECLARE=Image=5 -oshadow_32.png
	povray -iicon.pov -p -w48 -h48 +a0.0 -j +r4 +ua DECLARE=Image=5 -oshadow_48.png
	povray -iicon.pov -p -w64 -h64 +a0.0 -j +r4 +ua DECLARE=Image=5 -oshadow_64.png
	povray -iicon.pov -p -w16 -h16 +a0.0 -j +r8 +ua DECLARE=Image=1 -opovray_16.png
	povray -iicon.pov -p -w32 -h32 +a0.0 -j +r6 +ua DECLARE=Image=1 -opovray_32.png
	povray -iicon.pov -p -w48 -h48 +a0.0 -j +r4 +ua DECLARE=Image=1 -opovray_48.png
	povray -iicon.pov -p -w64 -h64 +a0.0 -j +r4 +ua DECLARE=Image=1 -opovray_64.png

file_logos_crystal:
	composite -compose Multiply shadow_16.png crystal_16.png crystal_shadow1_16.png
	composite -compose Multiply shadow_32.png crystal_32.png crystal_shadow1_32.png
	composite -compose Multiply shadow_48.png crystal_48.png crystal_shadow1_48.png
	composite -compose Multiply shadow_64.png crystal_64.png crystal_shadow1_64.png
	composite -compose CopyOpacity crystal_16.png crystal_shadow1_16.png crystal_shadow_16.png
	composite -compose CopyOpacity crystal_32.png crystal_shadow1_32.png crystal_shadow_32.png
	composite -compose CopyOpacity crystal_48.png crystal_shadow1_48.png crystal_shadow_48.png
	composite -compose CopyOpacity crystal_64.png crystal_shadow1_64.png crystal_shadow_64.png
	rm -f crystal_shadow1_16.png crystal_shadow1_32.png crystal_shadow1_48.png crystal_shadow1_64.png
	composite -compose Over file_pov_16.png crystal_shadow_16.png file_pov_crystal_16.png
	composite -compose Over file_pov_32.png crystal_shadow_32.png file_pov_crystal_32.png
	composite -compose Over file_pov_48.png crystal_shadow_48.png file_pov_crystal_48.png
	composite -compose Over file_pov_64.png crystal_shadow_64.png file_pov_crystal_64.png
	composite -compose Over file_inc_16.png crystal_shadow_16.png file_inc_crystal_16.png
	composite -compose Over file_inc_32.png crystal_shadow_32.png file_inc_crystal_32.png
	composite -compose Over file_inc_48.png crystal_shadow_48.png file_inc_crystal_48.png
	composite -compose Over file_inc_64.png crystal_shadow_64.png file_inc_crystal_64.png

file_logos_classic:
	composite -compose Multiply shadow_16.png classic_16.png classic_shadow1_16.png
	composite -compose Multiply shadow_32.png classic_32.png classic_shadow1_32.png
	composite -compose Multiply shadow_48.png classic_48.png classic_shadow1_48.png
	composite -compose Multiply shadow_64.png classic_64.png classic_shadow1_64.png
	composite -compose CopyOpacity classic_16.png classic_shadow1_16.png classic_shadow_16.png
	composite -compose CopyOpacity classic_32.png classic_shadow1_32.png classic_shadow_32.png
	composite -compose CopyOpacity classic_48.png classic_shadow1_48.png classic_shadow_48.png
	composite -compose CopyOpacity classic_64.png classic_shadow1_64.png classic_shadow_64.png
	rm -f classic_shadow1_16.png classic_shadow1_32.png classic_shadow1_48.png classic_shadow1_64.png
	composite -compose Over file_pov_16.png classic_shadow_16.png file_pov_classic_16.png
	composite -compose Over file_pov_32.png classic_shadow_32.png file_pov_classic_32.png
	composite -compose Over file_pov_48.png classic_shadow_48.png file_pov_classic_48.png
	composite -compose Over file_pov_64.png classic_shadow_64.png file_pov_classic_64.png
	composite -compose Over file_inc_16.png classic_shadow_16.png file_inc_classic_16.png
	composite -compose Over file_inc_32.png classic_shadow_32.png file_inc_classic_32.png
	composite -compose Over file_inc_48.png classic_shadow_48.png file_inc_classic_48.png
	composite -compose Over file_inc_64.png classic_shadow_64.png file_inc_classic_64.png

file_logos_slick:
	composite -compose Multiply shadow_16.png slick_16.png slick_shadow1_16.png
	composite -compose Multiply shadow_32.png slick_32.png slick_shadow1_32.png
	composite -compose Multiply shadow_48.png slick_48.png slick_shadow1_48.png
	composite -compose Multiply shadow_64.png slick_64.png slick_shadow1_64.png
	composite -compose CopyOpacity slick_16.png slick_shadow1_16.png slick_shadow_16.png
	composite -compose CopyOpacity slick_32.png slick_shadow1_32.png slick_shadow_32.png
	composite -compose CopyOpacity slick_48.png slick_shadow1_48.png slick_shadow_48.png
	composite -compose CopyOpacity slick_64.png slick_shadow1_64.png slick_shadow_64.png
	rm -f slick_shadow1_16.png slick_shadow1_32.png slick_shadow1_48.png slick_shadow1_64.png
	composite -compose Over file_pov_16.png slick_shadow_16.png file_pov_slick_16.png
	composite -compose Over file_pov_32.png slick_shadow_32.png file_pov_slick_32.png
	composite -compose Over file_pov_48.png slick_shadow_48.png file_pov_slick_48.png
	composite -compose Over file_pov_64.png slick_shadow_64.png file_pov_slick_64.png
	composite -compose Over file_inc_16.png slick_shadow_16.png file_inc_slick_16.png
	composite -compose Over file_inc_32.png slick_shadow_32.png file_inc_slick_32.png
	composite -compose Over file_inc_48.png slick_shadow_48.png file_inc_slick_48.png
	composite -compose Over file_inc_64.png slick_shadow_64.png file_inc_slick_64.png

file_logos: pov_logos
	$(MAKE) file_logos_crystal
	$(MAKE) file_logos_classic
	$(MAKE) file_logos_slick


### Makefile ends here

=== debian/changelog ===
povray (1:3.8.0~beta.2-2) experimental; urgency=medium

  * Merge changes from 1:3.7.0.10-3.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Aug 2023 20:10:11 +0200

povray (1:3.8.0~beta.2-1) experimental; urgency=medium

  [ Andreas Beckmann ]
  * New upstream beta.
  * Refresh patches.
  * Convert comments to UTF-8.
  * Adjust installation paths for 3.8.
  * Update Lintian overrides.
  * Upload to experimental.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Remove 3 maintscript entries from 2 files.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Feb 2022 18:30:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,6 @@
 execute_after_dh_auto_clean:
 	-cd unix && ./prebuild.sh clean
 	$(RM) install.log
-	$(RM) unix/config/compile
-	$(RM) unix/config.h.in
 	if [ -d libraries.donotuse ] && [ ! -d libraries ] ; then mv -v libraries.donotuse libraries ; fi
 	-test ! -d .git || git checkout libraries
 	set -e ; cd unix/config && for ax in *.m4.dist ; do if [ -f "$$ax" ] ; then mv -v "$$ax" "$${ax%.dist}" ; fi ; done

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
https://github.com/POV-Ray/povray/tags .*/v([0-9.]*(?:-(?:alpha|beta|rc)[0-9.]*)?)\.tar\.gz
